pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: x11/xproto

On Wednesday 13 February 2008 12:03:39 Joerg Sonnenberger wrote:
> On Wed, Feb 13, 2008 at 11:22:19AM +0000, 
> wrote:
> > ..include "../../x11/xproto/"
> >
> > to a package's Makefile, but x11/xproto is not built as a dependancy. I
> > guess pkgsrc finds a native version. How can I force pkgsrc to use pkgsrc
> > version of xproto?
> In which sense? You can use X11_TYPE=modular. I don't think it makes
> sense to want to use xproto from pkgsrc and mix that with native X11.
> Joerg

I'm trying to build a package that fails with thhe following error:

checking for XPROTO... configure: error: Package requirements (xproto >= 
7.0.10) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

What's the best way to work around  it?

Home | Main Index | Thread Index | Old Index